%global		gem_name actionview
%bcond_with bootstrap

Name:		rubygem-%{gem_name}
Version:	6.1.4.1
Release:	2
Summary:	Rendering framework putting the V in MVC (part of Rails)
License:	MIT
URL:		http://rubyonrails.org
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:	%{gem_name}-%{version}-tests.txz
Source2:	rails-%{version}-tools.txz
Patch3000:	CVE-2023-23913.patch

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
%if %{without bootstrap}
BuildRequires:	rubygem(activesupport) = %{version}
BuildRequires:	rubygem(activerecord) = %{version}
BuildRequires:	rubygem(actionpack) = %{version}
BuildRequires:	rubygem(railties) = %{version}
BuildRequires:	rubygem(sqlite3)
%endif
BuildArch:	noarch

%description
Simple, battle-tested conventions and helpers for building web pages.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b1 -b2
%patch3000 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if %{without bootstrap}
%check
ln -s %{gem_dir}/gems/activerecord-%{version}/ .%{gem_dir}/gems/activerecord

pushd .%{gem_instdir}
ln -s %{_builddir}/tools ..
mv %{_builddir}/test .

mv test/activerecord/controller_runtime_test.rb{,.disable}

find test -type f -name '*_test.rb' -print0 | \
  sort -z | \
  xargs -0 -n1 -i sh -c "echo '* Test file: {}'; ruby -Itest -- '{}' || exit 255"

popd
%endif

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/MIT-LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/CHANGELOG.md

%changelog
* Tue Jun 25 2024 wangkai <13474090681@163.com> - 6.1.4.1-2
- Fix CVE-2023-23913

* Mon May 02 2022 wangkerong <wangkerong@h-partners.com>- 6.1.4.1-1
- Upgrade to 6.1.4.1

* Wed Aug 04 2021 wangyue <wangyue92@huawei.com> - 5.2.4.4-2
- revert to 5.2.4.4

* Fri Jun 25 2021 jiangxinyu <jiangxinyu@kylinos.cn> - 6.0.3.4-2
- Add code testing

* Mon Jun 07 2021 jiangxinyu <jiangxinyu@kylinos.cn> - 6.0.3.4-1
- Update to 6.0.3.4

* Mon Feb 8 2021 sunguoshuai<sunguoshuai@huawei.com>- 5.2.4.4-1
- Upgrade to 5.2.4.4

* Sat Aug 8 2020 chengzihan <chengzihan2@huawei.com> - 5.2.3-1
- Package init
